Page MenuHomePhabricator

Upgrade Timed Media Handler for Kaltura v2 Integration
Closed, DeclinedPublic

Description

Migrated from: https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/165

Narrative

As a developer, I want to upgrade the Timed Media Handler extension, so I can integrate the Kaltura Player v2 on our sites.

Acceptance Criteria

In order to integratethe Kaltura Player v2 in current A/V viewers and inMedia Viewer, we need to make some joint improvements to theTimed Media Handler, in order to provide better performance, support more file formats and offer an improved audio-visual experience for our users.

  • Upgrade Timed Media Handler (specific tasks TBD), to support the new Kaltura Player v2
  • Confirm that it works well for playing audio and video,with inall current players, as well asMedia Viewer,with no glitches.

Notes

  • Specific tasks required to upgrade Timed Media Handler to support theKaltura v2 player will be added to this card shortly.
  • We are setting up phone calls and in-person meetings with Kaltura in mid-February and early March to help us.
  • We will coordinate this work with Michael Dale at Kaltura, along with his colleaguesItay Kinnrot and Asher Shiratzky.
  • In the first implementation, we will go for whichever solution seems more practical from a development and community maintenance perspective, then incrementally improve the quality and optionsover time, in consultation with our community.
  • See separate cards for Video support (see #162 ),Audio support (see #163 ) and Kaltura Playerintegration(see #164 ).

About Media Viewer

Read more on MediaWiki product page .

Related Bugs

Related Stories

  • #8 Media Viewer Front-End
  • T77147 Play Video Files in Media Viewer
  • T77148 Play Audio Files in Media Viewer
  • T77149 Integrate Kaltura Player v2 in Media Viewer

Related Patchsets

Event Timeline

MingleTerminator raised the priority of this task from to Normal.Dec 8 2014, 4:26 PM
MingleTerminator added a project: Multimedia.
Paladox set Security to None.May 13 2015, 5:49 PM
Paladox added a subscriber: brion.

Change 182092 had a related patch set uploaded (by Paladox):
async with upstream Kaltura player MwEmbedSupport module 2.24

https://gerrit.wikimedia.org/r/182092

Tgr added subscribers: TheDJ, Tgr.EditedMay 25 2015, 12:09 PM

cc @TheDJ - should this be declined (since we are moving from Kaltura to VideoJS) or does the patch have short-term value?

TheDJ added a comment.May 25 2015, 1:40 PM

@Tgr I'd say the short term risk does not outweigh the short term benefit. Long term, it should either be done (but is becoming increasingly complicate), or we should dedicate ourselves to an alternate playback library indeed.

I agree with TheDj 100% on that.

Change 219773 had a related patch set uploaded (by Paladox):
Sync with kaltura MwEmbed version 1.7.4.1

https://gerrit.wikimedia.org/r/219773

brion closed this task as Declined.Jul 21 2015, 1:20 AM
brion claimed this task.

Declining per above notes.

Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 21 2015, 1:20 AM

Change 182092 abandoned by Paladox:
async with upstream Kaltura player MwEmbedSupport module 2.24

Reason:
We are going with videojs now.

https://gerrit.wikimedia.org/r/182092

Change 219773 abandoned by Paladox:
Sync with kaltura MwEmbed version 1.7.4.1

https://gerrit.wikimedia.org/r/219773